---
- name: Stop Nexus container
  community.docker.docker_container:
    name: "{{ nexus_container_name }}"
    state: stopped

- name: Start Nexus container
  community.docker.docker_container:
    name: "{{ nexus_container_name }}"
    state: started
    restart_policy: unless-stopped

- name: Wait for Nexus3 API port to be open
  ansible.builtin.wait_for:
    host: "{{ ip }}"
    port: "{{ nexus_container_port }}"
    delay: 10
    timeout: 240
    state: started
  tags: wait_for_port
